#!/bin/sh
#
# Copyright (c) 2014-2023 Linagora
#
# This program/library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2.1 of the License, or (at your
# option) any later version.
#
# This program/library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program/library; If not, see http://www.gnu.org/licenses/
# for the GNU Lesser General Public License version 2.1.
#
#############################################################################
#
#      Petals Registry CLI Bootstrap Script (to debug Petals Registry CLI)
#
# Environment variables:
#
#	JAVA_HOME	Directory containing the JRE. Use the java executable
#			found in $PATH if not defined.
#
#	JAVA_OPTS	Options for the JVM. Try "java -h" to get informations
#			about the available options for your environment
#
#############################################################################

# Extra checks
set -eu

#Test symbolic link 
if [ -h $0 ];then
	CUR_DIR=$(dirname $(readlink $0))
else
	CUR_DIR=`dirname $0`
fi

JAVA_OPTS="-agentlib:jdwp=transport=dt_socket,server=y,address=8000,suspend=y ${JAVA_OPTS:-}"

export JAVA_OPTS
exec "$CUR_DIR/petals-registry-cli.sh" "$@"
